org.apache.commons.imaging.formats.tiff.taginfos

## Class TagInfoXpString

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.taginfos.TagInfo
  - - org.apache.commons.imaging.formats.tiff.taginfos.TagInfoXpString

-     public class TagInfoXpString
      extends TagInfo

  Windows XP onwards store some tags using UTF-16LE, but the field type is byte - here we deal with this.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.imaging.formats.tiff.taginfos.TagInfo

      `dataTypes, directoryType, length, LENGTH_UNKNOWN, name, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagInfoXpString(String name, int tag, TiffDirectoryType directoryType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `encodeValue(FieldType fieldType, Object value, ByteOrder byteOrder)`
    `String` | `getValue(TiffField entry)`

    - ### Methods inherited from class org.apache.commons.imaging.formats.tiff.taginfos.TagInfo

      `getDescription, isOffset, isText, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TagInfoXpString

          public TagInfoXpString(String name,
                                 int tag,
                                 TiffDirectoryType directoryType)

  - ### Method Detail

    - #### encodeValue

          public byte[] encodeValue(FieldType fieldType,
                                    Object value,
                                    ByteOrder byteOrder)
                             throws ImageWriteException

      Overrides:
        `encodeValue` in class `TagInfo`
      Throws:
        `ImageWriteException`

    - #### getValue

          public String getValue(TiffField entry)
                          throws ImageReadException

      Overrides:
        `getValue` in class `TagInfo`
      Parameters:
        `entry` - the TIFF field whose value to return
      Returns:
        the value of the TIFF field
      Throws:
        `ImageReadException` - thrown by subclasses

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.